> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Access Token for Sumsub SDK Integration

> Retrieve the specification to follow with the KYC integration.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/kyc/integration/sdk
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/kyc/integration/sdk:
    get:
      tags:
        - KYC
      summary: Retrieve Access Token for Sumsub SDK Integration
      description: Retrieve the specification to follow with the KYC integration.
      parameters:
        - in: query
          name: lang
          schema:
            type: string
            pattern: ^[a-z]{2}$
            example: en
          description: >-
            Optional language code in ISO 639-1 format (2 letters) to force the
            KYC flow language. If not provided, SumSub will use its own rules to
            determine the language.
      responses:
        '200':
          description: The KYC integration specification.
          content:
            application/json:
              schema:
                type: object
                required:
                  - type
                  - token
                  - userId
                properties:
                  type:
                    type: string
                    enum:
                      - SUMSUB_SDK
                    description: The type of the KYC integration.
                  token:
                    type: string
                    description: >-
                      The token that needs to be used to follow through the
                      SumSub KYC flow.
                  userId:
                    type: string
                    description: The user ID.
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '409':
          description: The user has already been approved
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Details about the error.
                    example: The user has already been approved
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Details about the server error.
                    example: An unexpected error occurred.
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````